<%@ page contentType="text/html;charset=gbk" %>
<%@ page import="java.util.*" %>
<%@ page import="net.sz600.basicdata.*" %>
<%@ page import="net.sz600.tool.SzConvert" %>
<%@ page import="net.sz600.tool.SzDateHelp" %>
<%@ page import="net.sz600.system.*" %>
<%@ page import="net.sz600.formEngine.*" %>
<%@ page import="net.sz600.formEngine2.*" %>
<%@ page import="net.sz600.formCreate.*" %>
<%@ include file="/xml/formEngine2/sessionInfo2.jsp"%>
<head>
<title></title>
<meta http-equiv="Content-Type" content="text/html; charset=GBK">
<link href="<%=strSkin_SESSION%>/css2007.css" rel="stylesheet" type="text/css">
</head>
<%
    //获取提交的参数
    String id = SzConvert.toSpaceStr(request.getParameter("id"));
    String readonly = "";
    String sOPERATOR = SzConvert.toSpaceStr(request.getParameter("OPERATOR"));
	  String moduleName = SzConvert.toSpaceStr(request.getParameter("moduleName"));
	  String formName = SzConvert.toSpaceStr(request.getParameter("formName"));
    BdModifyButton bdModifyButton = new BdModifyButton();
    String str[] = bdModifyButton.getInfo(id);
    
		if (sOPERATOR.equals("add")) {
			str[1] = moduleName;
			str[2] = formName;
		} else if (sOPERATOR.equals("update")) {
			moduleName = str[1];
			formName = str[2];
		}
   	
%>
<body>

<!-----上面的工具栏------>
<form name="formUpdate" method="post">
  <input type="hidden" name="OPERATOR" value="<%=sOPERATOR%>">
<%@ include file="/xml/formEngine2/title.jsp"%>
<table width="100%">
  <tr>
    <td>
      <%=SzPageHelp.saveButton()%>
      <%=SzPageHelp.backButton()%>
    </td>
  </tr>
</table>

<!-----信息维护------>
<table width="600" border="1" bordercolorlight="#C0C0C0" bordercolordark="#FFFFFF" class="tableClass" cellpadding="3" cellspacing="0">
  <tr>
    <td class="tdClassTitle">名称</td>
    <td colspan="3"><input type="text" name="id" value="<%=str[0]%>" size="10" <%if (sOPERATOR.equals("update")){%> readonly class="txtClass1R"<%}else {%>class="txtClass1"<%} %>> (可用字母、数字、下划线的组合，10个字以内) <font color="red">*</font></td>
  </tr>
  <tr>
    <td class="tdClassTitle">模块名称</td>
    <td><input type="text" name="moduleName" class="txtClass1R" value="<%=str[1]%>"  readonly></td>

    <td class="tdClassTitle">表单名称</td>
    <td><input type="text" name="formName" class="txtClass1R" value="<%=str[2]%>" readonly></td>
  </tr> 
  <tr>
    <td class="tdClassTitle">按纽名称</td>
    <td colspan="3"><input type="text" name="buttonName" class="txtClass1" value="<%=str[3]%>"><font color="red">*</font>（建议6个字以内）</td>
  </tr>
  <tr><input type="hidden" name="modifyFieldId" value="<%=str[4]%>">
    <td class="tdClassTitle">可修改的字段</td>
    <td colspan="3">
    <%
    BdFormControl bdFormControl = new BdFormControl();    
    Map fieldMap = bdFormControl.getFieldMap();
    BdFormFieldInfo bdFormFieldInfo = null;
    Collection collFormField = null;
    collFormField = (Collection)fieldMap.get(new String(moduleName + "-" + formName));
    Iterator iterFormField = null;    
    String strMainTable = bdFormControl.getMainTableName(moduleName, formName);
    if (collFormField != null) {
    	iterFormField = collFormField.iterator();
    }    
		int i =0;
		String temp = "," + str[4] + ",";
		while (iterFormField != null && iterFormField.hasNext()) {
			bdFormFieldInfo = (BdFormFieldInfo) iterFormField.next();			
			if (    bdFormFieldInfo.getZDBJ() == 1 
			 	|| bdFormFieldInfo.getZDBJ() == 3 
			 	|| bdFormFieldInfo.getZDBJ() == 34
		  ) {
				continue;
			}
			if (!strMainTable.equals(bdFormFieldInfo.getTableName())) {
				continue;
			}			
			out.println("<span style='width:230px;'><input type='checkbox' name='modifyFieldId2' value='" + bdFormFieldInfo.getZDID() + "'");
			if (temp.indexOf("," + bdFormFieldInfo.getZDID() + ",") >=0) {
				out.println(" checked ");
			}
			out.println(">");
			out.println(bdFormFieldInfo.getZDID() + " " + bdFormFieldInfo.getZDMC() + " " + bdFormFieldInfo.getZDSM());
			i ++;
			out.println("</span>");
			if (i % 2 == 0) {
				out.println("<br>");
			}
		}
		%>    
    </td>
  </tr>         
</table>

</form>

<!-----这里包含要提交的内容--->
<form name="formHidden" method="post">
</form>
<script language="javascript" src="../../../share/js/commonTool.js"></script>
<script language="javascript">

  function FormSave(formName, url) {

    //检查是否可以保存
    if (!notSpace(formName.id, "名称")) {
      return false;
    }
    if (!notSpace(formName.buttonName, "按纽名称")) {
      return false;
    }    
    if (!isLetterOrNumOrLine(formName.id.value)) {
      alert("名称");
      return false;
    }  
    var modifyFieldId2 = ValueOfCheck(formName.modifyFieldId2)
    if (modifyFieldId2 == "") {
    	alert("请至少选择一个可修改的字段");
    	return;
    } else {
    	formName.modifyFieldId.value = modifyFieldId2;
    }
         
    formName.action = "control.jsp";
    formName.submit();
  }
  
 
</script>
</body>
